## START: Set by rpmautospec
## (rpmautospec version 0.3.5)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           tecla
Version:        46.0
Release:        %mkrel 1
Summary:        Keyboard layout viewer
Group:		Graphical desktop/GNOME

License:        GPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/tecla
Source:         https://download.gnome.org/sources/tecla/%{url_ver}/tecla-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk4-wayland)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  desktop-file-utils

%description
Tecla is a keyboard layout viewer. It uses GTK/Libadwaita for UI, and
libxkbcommon to deal with keyboard maps.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains a pkg-config file for
developing applications that use %{name}.


%prep
%autosetup -p1 -n tecla-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang tecla


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Tecla.desktop
%meson_test


%files -f tecla.lang
%license LICENSE
%doc NEWS README.md
%{_bindir}/tecla
%{_datadir}/applications/org.gnome.Tecla.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tecla.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tecla-symbolic.svg


%files devel
%{_datadir}/pkgconfig/tecla.pc




%changelog
* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050335
- new version 46.0

* Thu Sep 28 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991625
- imported package tecla


* Thu Sep 28 2023 Thierry Vignaud <tv@mageia.org> 45.0-1.mga10
- Import from FC

* Tue Sep 19 2023 Kalev Lember <klember@redhat.com> - 45.0-1
- Update to 45.0

* Wed Sep 06 2023 Kalev Lember <klember@redhat.com> - 45~rc-1
- Update to 45.rc
- Add -devel subpackage for newly added pkg-config file

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 45~beta-1
- Update to 45.beta
- Package up translations

* Mon Aug 07 2023 Kalev Lember <klember@redhat.com> - 45~alpha-2
- Add check section for desktop-file-validate and meson tests

* Mon Aug 07 2023 Kalev Lember <klember@redhat.com> - 45~alpha-1
- Initial Fedora packaging
